Bug 1433658

Summary: Review Request: mustache-d - Mustache template engine for D
Product: [Fedora] Fedora Reporter: Neal Gompa <ngompa13>
Component: Package ReviewAssignee: Tom "spot" Callaway <tcallawa>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: medium    
Version: rawhideCC: package-review, tcallawa
Target Milestone: ---Flags: tcallawa: fedora-review+
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: If docs needed, set a value
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2017-06-09 19:17:04 UTC Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:

Description Neal Gompa 2017-03-19 02:06:02 UTC
Spec URL: http://kinginuyasha.enanocms.org/downloads/mustache-d.spec
SRPM URL: http://kinginuyasha.enanocms.org/downloads/mustache-d-0.1.3-1.fc25.src.rpm

Description:
Mustache is a push-strategy (a.k.a logic-less) template engine.

This package provides the implementation for D.

Fedora Account System Username: ngompa

Comment 1 Neal Gompa 2017-03-19 02:10:24 UTC
For reviewers: The lack of a license file is known, and I've filed an issue upstream to have it added: https://github.com/repeatedly/mustache-d/issues/30

Comment 2 Neal Gompa 2017-03-19 02:31:23 UTC
I've pulled in a copy of the license file as an additional source, due to license terms, using the exact URL referenced in the mustache.d source file: https://github.com/repeatedly/mustache-d/blob/master/src/mustache.d#L7

Comment 3 Neal Gompa 2017-03-19 02:32:42 UTC
As a note, this is temporary and I don't expect to pull in the license file separately, as I hope upstream will resolve this problem.

Comment 4 Tom "spot" Callaway 2017-05-30 16:35:54 UTC
Mustfix (before commit):

* Do not "mv" %{SOURCE} files. cp -a. :)
* There is a typo in the devel %description, "teimplate". 

Good:

- rpmlint checks return:
mustache-d-devel.x86_64: W: spelling-error %description -l en_US teimplate -> template, implicate
- package meets naming guidelines
- package meets packaging guidelines
- license (Boost) OK, text in %doc, matches source
- spec file legible, in am. english
- source matches upstream (b8cf5fe193b11dece663ad2d7f8acbcc02ef48334f0fdc922a2dde3f8ac64b57)
- package compiles on F26 (x86_64)
- no missing BR
- no unnecessary BR
- no locales
- not relocatable
- owns all directories that it creates
- no duplicate files
- permissions ok
- macro use consistent
- code, not content
- no need for -docs
- nothing in %doc affects runtime
- no need for .desktop file
- devel package ok
- no .la files
- .a files come with proper static provides

Fix your MUSTFIX items before commit. APPROVED.

Comment 5 Gwyn Ciesla 2017-05-30 18:20:35 UTC
Package request has been approved: https://admin.fedoraproject.org/pkgdb/package/rpms/mustache-d

Comment 6 Fedora Update System 2017-05-30 23:40:46 UTC
mustache-d-0.1.3-1.fc26 has been submitted as an update to Fedora 26. https://bodhi.fedoraproject.org/updates/FEDORA-2017-46e8f80d96

Comment 7 Fedora Update System 2017-06-01 03:20:55 UTC
mustache-d-0.1.3-1.fc26 has been pushed to the Fedora 26 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2017-46e8f80d96

Comment 8 Fedora Update System 2017-06-09 19:17:04 UTC
mustache-d-0.1.3-1.fc26 has been pushed to the Fedora 26 stable repository. If problems still persist, please make note of it in this bug report.